### Method

# Pango Renderer part_changed

since: 1.8

#### Declaration [src]

    void
    pango_renderer_part_changed (
      PangoRenderer* renderer,
      PangoRenderPart part
    )

#### Description [src]

Informs Pango that the way that the rendering is done for `part` has changed.

This should be called if the rendering changes in a way that would prevent multiple pieces being joined together into one drawing call. For instance, if a subclass of `PangoRenderer` was to add a stipple option for drawing underlines, it needs to call

    pango_renderer_part_changed (render, PANGO_RENDER_PART_UNDERLINE);

When the stipple changes or underlines with different stipples might be joined together. Pango automatically calls this for changes to colors. (See `pango_renderer_set_color()`).

Available since: 1.8

#### Parameters

`part`

  Type: `PangoRenderPart`

  The part for which rendering has changed.